ATI/AMD - fglrx pour Fedora 9

La nouvelle version des pilotes ATI est arrivé hier en version 8.10. Pour autant, toujours pas de support pour le Xorg server en version 1.5 utilisé par Fedora 9, la future Fedora 10 et bientôt Ubuntu 8.10 intrepid... C'est du coté d'une version beta qu'il faut aller chercher ce support.

. Et Il semble que canonical ait obtenu de manière privilégiée une archive bien particulière. Bien sûr, la question du nombre d'utilisateurs d'une distribution a peut-être joué, mais le pilote aurait put être disponible en version beta pour l'ensemble des distributions...

Je laisse donc juste l'indication qu'il est possible d'installer le pilote propriètaire, empaqueté depuis ce dépot en version testing. (pour Fedora 9 i686). L'arrivée sur rpmfusion est prévue bientôt. Il est conseillé d'utiliser la version de livna-config-display de rpmfusion; puis, après un redémarrage, de lancer ldconfig en root.

Pour ceux pour qui radeon et radeonhd fonctionne déja de manière satisfaisante, il n'y aura pas de grande améliorations à attendre à priori de cette version beta. Au niveau de l'experince visuelle, compiz est très lent chez moi (x600se) et les seules améliorations seront dans le support de la 3D ainsi que la gestions des doubles écrans, nouvelles cartes, etc..

Pour ceux qui peinent à être convaincu du modèle de développement open-source dont la mauvaise qualité du pilote propriétaire et le manque d'adaptabilité par rapport aux distributions récentes est une preuvre flagrante d'échec; je vous conseille un article de James Bottomley , intitulé "Linux Graphics Essay".

Donc si MS-Canonical pouvait donner un coup de poing sur la table pour obtenir des fabricants de matériel, les specifications pour écrire un pilote libre. (ce qui est encore nécéssaire pour les anciennes cartes nVidia de type Geforce 4 voir le projet NouVeau). Cela serait beaucoups plus profitable à l'éco-système du logiciel libre que de passer du temps en tractation pour avoir un pilote proprio dans sa distrib.

Commentaires

1. Le lundi, octobre 20 2008, 16:56 par VINDICATORs

Comme dit dans mon rapport de bogue sur le bugzilla de rpmfusion, cela fonctionne bien sauf dans la prise en charge d'opengl à cause d'un conflit de librairie avec le serveur X 1.5 (même celui de Xorg7.4 soit dit en passant...)! Ce qui est bien dommage :(

2. Le lundi, octobre 20 2008, 18:26 par kwizart

Le paquet xorg-x11-drv-fglrx qui est sur mon dépot (en i386 seulement) est différent de celui de rpmfusion. Il y a des problème de syncronisation des spec. Du mainteneur officiel de fglrx (entre le passage de livna-testing à rpmfusion)

Pour faire simple, le nombre de bibliothèques de remplacement pour le pilote ATI a encore augmenté. Cela rend d'autant plus délicate le retour à radeon ou radeonhd que certains vont regretter si ils utilisent l'installateur d'ATI/AMD. (Les paquets mesa-libGL et xorg-x11-server-Xorg serons à réinstaller car certains fichiers vont être écrasés).

3. Le lundi, octobre 20 2008, 19:00 par VINDICATORs

Normalement c'est bon! suite à mon rapport de bogue (dont tu a répondu soit dit en passant) Stewart de rpmfusion/livna (si je ne me gourre pas...) à corrigé ;)! Je n'attend plus que la mise à jour des miroirs car ceux où je vais ne sont pas encore mis à jours!

4. Le lundi, octobre 20 2008, 21:40 par kwizart

Nan, c'est toujours pas fixé. j'attends de le faire sur le cvs...

5. Le mardi, octobre 21 2008, 08:21 par VINDICATORs

En réinstallant xorg-x11-xserver 1.5 ça fonctionne, mais il faut que je regarde si il ne faut pas non plus réinstaller glx...
Je n'ai pas encore vu ce que propose Stewart, alors qu'il dit le contraire sur le bugzilla :(...

Sinon merci à toi!